> ## Documentation Index
> Fetch the complete documentation index at: https://interfere.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Read every retained span in one trace of a finding



## OpenAPI

````yaml https://api.interfere.com/openapi.json get /v3/findings/{findingId}/traces/{traceId}
openapi: 3.0.0
info:
  title: Interfere API
  termsOfService: https://interfere.com/legal/terms-of-service
  contact:
    email: support@interfere.com
    name: Interfere Support
    url: https://interfere.com/~/*/settings/support
  license:
    name: All Rights Reserved
  description: >-
    Interfere empowers engineers, product managers and designers with real-time
    understanding of previously unseen bugs and issues.
  version: 3.0.0
servers:
  - url: https://api.interfere.com
    description: This environment
security: []
tags:
  - name: Drain
    description: Drain API
  - name: Releases
    description: Build-time release API
  - name: Replay
    description: Session replay chunk ingest API
  - name: Sessions
    description: Session and end-user identity API
  - name: Updates
    description: Desktop app update API
  - name: Traces
    description: Trace waterfall read API
externalDocs:
  url: https://interfere.com/docs
  description: Interfere Documentation
paths:
  /v3/findings/{findingId}/traces/{traceId}:
    get:
      tags:
        - Traces
      summary: Read every retained span in one trace of a finding
      operationId: traceDetail
      parameters:
        - schema:
            type: string
            description: Finding whose traces are requested
          required: true
          description: Finding whose traces are requested
          name: findingId
          in: path
        - schema:
            type: string
            description: W3C trace id
            example: 4bf92f3577b34da6a3ce929d0e0e4736
          required: true
          description: W3C trace id
          name: traceId
          in: path
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 2000
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: The trace and its spans
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceDetail'
        '401':
          description: Missing or invalid session token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionAuthProblem'
        '403':
          description: Session is not scoped to an organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceForbiddenProblem'
        '404':
          description: Finding or trace is unknown in this organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceNotFoundProblem'
        '503':
          description: >-
            Trace storage failed to answer; retry with backoff after the
            Retry-After delay
          headers:
            Retry-After:
              schema:
                type: string
                description: Seconds to wait before retrying
              required: true
              description: Seconds to wait before retrying
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceQueryUnavailableProblem'
      security:
        - clerkSession: []
components:
  schemas:
    TraceDetail:
      type: object
      properties:
        traceId:
          type: string
          pattern: ^[0-9a-f]{32}$
        spans:
          type: array
          items:
            $ref: '#/components/schemas/TraceSpan'
        rootCount:
          type: integer
          minimum: 0
        danglingParentCount:
          type: integer
          minimum: 0
        startedAtUnixNano:
          type: string
        endedAtUnixNano:
          type: string
        wallDurationMs:
          type: number
        truncated:
          type: boolean
      required:
        - traceId
        - spans
        - rootCount
        - danglingParentCount
        - startedAtUnixNano
        - endedAtUnixNano
        - wallDurationMs
        - truncated
    SessionAuthProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - AUTH_MISSING
            - AUTH_SESSION_INVALID
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
    TraceForbiddenProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - AUTH_ORG_REQUIRED
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
    TraceNotFoundProblem:
      anyOf:
        - type: object
          properties:
            code:
              type: string
              enum:
                - FINDING_NOT_FOUND
            message:
              type: string
            service:
              type: string
              enum:
                - collector
                - gateway
                - operation
                - intelligence
          required:
            - code
        - type: object
          properties:
            code:
              type: string
              enum:
                - TRACE_NOT_FOUND
            message:
              type: string
            service:
              type: string
              enum:
                - collector
                - gateway
                - operation
                - intelligence
          required:
            - code
    TraceQueryUnavailableProblem:
      anyOf:
        - type: object
          properties:
            code:
              type: string
              enum:
                - FINDING_CONTEXT_QUERY_FAILED
            message:
              type: string
            service:
              type: string
              enum:
                - collector
                - gateway
                - operation
                - intelligence
          required:
            - code
        - type: object
          properties:
            code:
              type: string
              enum:
                - TRACE_QUERY_FAILED
            message:
              type: string
            service:
              type: string
              enum:
                - collector
                - gateway
                - operation
                - intelligence
          required:
            - code
    TraceSpan:
      type: object
      properties:
        spanId:
          type: string
        parentSpanId:
          type: string
          nullable: true
        danglingParentSpanId:
          type: string
          nullable: true
        name:
          type: string
        kind:
          type: string
        serviceName:
          type: string
        startTimeUnixNano:
          type: string
          pattern: ^(0|[1-9]\d{0,19})$
        endTimeUnixNano:
          type: string
          pattern: ^(0|[1-9]\d{0,19})$
        durationMs:
          type: number
        statusCode:
          type: string
          nullable: true
        statusMessage:
          type: string
          nullable: true
        sessionId:
          type: string
          nullable: true
        httpRoute:
          type: string
          nullable: true
        httpStatusCode:
          type: integer
          nullable: true
          minimum: 0
          maximum: 65535
        occurrenceCount:
          type: integer
          minimum: 0
        timestamp:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$
      required:
        - spanId
        - parentSpanId
        - danglingParentSpanId
        - name
        - kind
        - serviceName
        - startTimeUnixNano
        - endTimeUnixNano
        - durationMs
        - statusCode
        - statusMessage
        - sessionId
        - httpRoute
        - httpStatusCode
        - occurrenceCount
        - timestamp
  securitySchemes:
    clerkSession:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Clerk session token of a signed-in Interfere user

````